Recent

Author Topic: RX Build error  (Read 354 times)

eldonfsr

  • Full Member
  • ***
  • Posts: 131
RX Build error
« on: September 04, 2019, 02:12:55 am »
I installing rx but send me this error
rxdbgridexportpdf.pas(80,12) Fatal: Cannot find RxDBGridExportPdf used by RegisterRxDB, incompatible ppu=C:\lazarus\onlinepackagemanager\packages\Rx\lib\rxcontrols\x86_64-win64\rxdbgridexportpdf.ppu, package rxnew
how i can solve that, some help will be great.
thanks.

GetMem

  • Hero Member
  • *****
  • Posts: 3507
Re: RX Build error
« Reply #1 on: September 04, 2019, 08:10:08 am »
I have no idea why the "incompatible ppu" errors show up from time to time, when installing from OPM. What you can try is to delete the lib folder(C:\lazarus\onlinepackagemanager\packages\Rx\lib) and install all the rx packages manually. Does this helps? Or you still get the message?

wp

  • Hero Member
  • *****
  • Posts: 6312
Re: RX Build error
« Reply #2 on: September 04, 2019, 11:15:05 am »
In these cases I usually do a clean recompilation of the package (in package editor: "More" > "Recompile clean"). If this does not help I do a clean rebuild of the IDE: "Tools" > "Configure Build Lazarus...", in the "Clean up" box check "Clean all" and "Switch after building to automatically", the click "Build".
Lazarus trunk / fpc 3.0.4 / all 32-bit on Win-10

GetMem

  • Hero Member
  • *****
  • Posts: 3507
Re: RX Build error
« Reply #3 on: September 04, 2019, 01:22:18 pm »
@wp

I already pass the pcfCleanCompile flag, when compiling packages from OPM. Perhaps adding pcfCompileDependenciesClean would fix the issue. It worth a try.

radhanasiri

  • Newbie
  • Posts: 2
Re: RX Build error
« Reply #4 on: September 10, 2019, 09:08:00 am »